# Hack Club Eligiblity Bot
A bot that allows you to view the eligiblity of someone in Hack Club for certain swag (basically "are you a student?")

This uses the Hack Club Eligiblity API (duh).

## Usage
Run `/check-eligiblity` in any Slack channel, and optionally ping a user to check their eligiblity (otherwise it shows your own).

If you view your own eligiblity, you can also see the raw response from the API.

## Installation
1. Clone the repo.
```sh
$ git clone https://git.hackclub.app/haroon/hack-club-eligiblity.git
```
2. Enter the newly created directory.
```sh
$ cd hack-club-eligiblity
```
3. Add your bot token and signing secret to .env:
```sh
$ <editor> .env

# Add:
SLACK_BOT_TOKEN=<>
SLACK_SIGNING_SECRET=<>
```
4. Install dependencies:
```
$ npm i
```
5. Run!
```
$ npx tsx .
```

6. (Optional) Rename `whitelist.example.json` to `whitelist.json` and fill it with Slack User IDs who apart from admins/owners/primary owners should be able to view other people's verification.
```json
[
    "UA1B2C3D4E5",
    "U0123456789"
]
```
